#version 440 core

layout(location=0) in vec3 position;

uniform mat4 view;
uniform mat4 proj;
out vec3 texCoords;
out vec3 fWorldPos;

void main()
{
    gl_Position =   proj * view * vec4(position * 10, 1.0);
    fWorldPos = position;
    texCoords = position;
}
